/*******************************************************************************
* File Name: toLogic.h  
* Version 2.0
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_toLogic_H) /* Pins toLogic_H */
#define CY_PINS_toLogic_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "toLogic_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    toLogic_Write(uint8 value) ;
void    toLogic_SetDriveMode(uint8 mode) ;
uint8   toLogic_ReadDataReg(void) ;
uint8   toLogic_Read(void) ;
uint8   toLogic_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define toLogic_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define toLogic_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define toLogic_DM_RES_UP          PIN_DM_RES_UP
#define toLogic_DM_RES_DWN         PIN_DM_RES_DWN
#define toLogic_DM_OD_LO           PIN_DM_OD_LO
#define toLogic_DM_OD_HI           PIN_DM_OD_HI
#define toLogic_DM_STRONG          PIN_DM_STRONG
#define toLogic_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define toLogic_MASK               toLogic__MASK
#define toLogic_SHIFT              toLogic__SHIFT
#define toLogic_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define toLogic_PS                     (* (reg8 *) toLogic__PS)
/* Data Register */
#define toLogic_DR                     (* (reg8 *) toLogic__DR)
/* Port Number */
#define toLogic_PRT_NUM                (* (reg8 *) toLogic__PRT) 
/* Connect to Analog Globals */                                                  
#define toLogic_AG                     (* (reg8 *) toLogic__AG)                       
/* Analog MUX bux enable */
#define toLogic_AMUX                   (* (reg8 *) toLogic__AMUX) 
/* Bidirectional Enable */                                                        
#define toLogic_BIE                    (* (reg8 *) toLogic__BIE)
/* Bit-mask for Aliased Register Access */
#define toLogic_BIT_MASK               (* (reg8 *) toLogic__BIT_MASK)
/* Bypass Enable */
#define toLogic_BYP                    (* (reg8 *) toLogic__BYP)
/* Port wide control signals */                                                   
#define toLogic_CTL                    (* (reg8 *) toLogic__CTL)
/* Drive Modes */
#define toLogic_DM0                    (* (reg8 *) toLogic__DM0) 
#define toLogic_DM1                    (* (reg8 *) toLogic__DM1)
#define toLogic_DM2                    (* (reg8 *) toLogic__DM2) 
/* Input Buffer Disable Override */
#define toLogic_INP_DIS                (* (reg8 *) toLogic__INP_DIS)
/* LCD Common or Segment Drive */
#define toLogic_LCD_COM_SEG            (* (reg8 *) toLogic__LCD_COM_SEG)
/* Enable Segment LCD */
#define toLogic_LCD_EN                 (* (reg8 *) toLogic__LCD_EN)
/* Slew Rate Control */
#define toLogic_SLW                    (* (reg8 *) toLogic__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define toLogic_PRTDSI__CAPS_SEL       (* (reg8 *) toLogic__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define toLogic_PRTDSI__DBL_SYNC_IN    (* (reg8 *) toLogic__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define toLogic_PRTDSI__OE_SEL0        (* (reg8 *) toLogic__PRTDSI__OE_SEL0) 
#define toLogic_PRTDSI__OE_SEL1        (* (reg8 *) toLogic__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define toLogic_PRTDSI__OUT_SEL0       (* (reg8 *) toLogic__PRTDSI__OUT_SEL0) 
#define toLogic_PRTDSI__OUT_SEL1       (* (reg8 *) toLogic__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define toLogic_PRTDSI__SYNC_OUT       (* (reg8 *) toLogic__PRTDSI__SYNC_OUT) 


#if defined(toLogic__INTSTAT)  /* Interrupt Registers */

    #define toLogic_INTSTAT                (* (reg8 *) toLogic__INTSTAT)
    #define toLogic_SNAP                   (* (reg8 *) toLogic__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins toLogic_H */


/* [] END OF FILE */
